Skip to main content
GET
/
compute
/
v1
/
usage
List VM usage records
curl --request GET \
  --url https://compute.hexelstudio.com/compute/v1/usage \
  --header 'Authorization: <api-key>' \
  --header 'X-Environment-Id: <x-environment-id>' \
  --header 'X-Workspace-Id: <x-workspace-id>'
[
  {
    "duration_seconds": 123,
    "ended_at": "<string>",
    "reason": "<string>",
    "started_at": "<string>",
    "tier": "<string>",
    "vm_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Headers

X-Workspace-Id
string
required

Workspace ID

X-Environment-Id
string
required

Environment ID

Query Parameters

from
string

Start date (YYYY-MM-DD), default 30 days ago

to
string

End date (YYYY-MM-DD), default today

tier
string

Filter by tier

limit
integer

Max records (default 100)

offset
integer

Offset for pagination

Response

OK

duration_seconds
integer
ended_at
string
reason
string
started_at
string
tier
string
vm_id
string